import { jsx } from "react/jsx-runtime";
import { Balloon as Balloon$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Balloon = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Balloon", ...props, children: /* @__PURE__ */ jsx(Balloon$1, { weight: variant }) });
  }
);
Balloon.displayName = "Balloon";
Object.assign(Balloon, { isGdsIcon: true });
export {
  Balloon
};
